#!/bin/bash

# first convert notebooks to rst files
# the list of notebooks to convert:

notebooks=(calversion)

cd _notebooks

echo "Tutorial Example"> index.rst
echo "================">> index.rst
echo "" >> index.rst
echo "Tutorial Notebook:" >> index.rst
echo "" >> index.rst
echo ".. toctree::" >> index.rst
echo "   :maxdepth: 5" >> index.rst
echo "   :titlesonly:" >> index.rst
echo "" >> index.rst

for nb in ${notebooks[*]}
do
     jupyter nbconvert --to rst ../../../notebooks/Tutorial/${nb}.ipynb --output-dir=./
     ##fix code blocks
     sed -i.bak 's/code::/code-block::/g' ${nb}.rst
     sed -i.bak 's/ipython3/python/g' ${nb}.rst
     sed -i.bak 's/raw:: latex/math::/g' ${nb}.rst
     sed -i.bak 's/``/`/g' ${nb}.rst
     mv ${nb}.rst ${nb}.rst.end
     echo ".. _${nb}:" > ${nb}.rst
     cat ${nb}.rst.end >> ${nb}.rst
     rm ${nb}.rst.end
     echo "   ${nb}" >> index.rst
done
rm *.bak

#cd .. rm api/* sphinx-apidoc -o ./api/ -E ../../iCalibrationDB/

